Page 2 of 4

Posted: Wed Aug 08, 2007 14:58
by Red Knuckles
Now 'emerge -epv system' results in:

[blocks B ] <sys-apps/baselayout-2.0.0_rc (is blocking sys-apps/makedev-3.23.1)

eix sys-apps/baselayout:

sys-apps/baselayout
Available versions: 1.11.15-r3 1.12.9-r2 (~)1.12.10-r3 (~)1.12.10-r4 [M](~)2.0.0_alpha4 [M](~)2.0.0_rc1 [M](~)2.0.0_rc2 [M](~)2.0.0_rc2-r1
Installed versions: 1.12.10-r3(03:35:12 PM 08/07/2007)(-bootstrap -build -static unicode)
Homepage: http://www.gentoo.org/
Description: Filesystem baselayout and init scripts


I haven't found a way around this yet. I ran 'equery depends' also and this doesn't look like a package to unmerge as it is part of my profile.

Posted: Wed Aug 08, 2007 15:41
by Red Knuckles
Found this in '/usr/portage/profiles/package.mask':

# Roy Marples <[email protected]> (02 Oct 2006)
# masked for testing due to major ebuild and installation changes
sys-apps/makedev
>=sys-apps/baselayout-1.13.0_alpha1

And I've tried umasking several different ways but can't find one that works.

Posted: Wed Aug 08, 2007 18:12
by WarraWarra
emerge baselayout --nodeps
This should install it same with makedev and ignore the blocking software.
Then etc-update and hope it sticks / permanent. Mine did not but after being on the night thru it somehow ended up sticking. ??? 12 try's and no luck then 6 hours later + no try and it works LOL ? ghost's.

Then back to
emerge -ep world
if all is well continue with update.
Once completed use the
revdep-rebuild
or
revdep-rebuild -X
To get the dependancy's for baselayout / makedev installed , if not already installed by emerge -e world.

Hope this helps , did for me.

Posted: Thu Aug 09, 2007 0:07
by Red Knuckles
WarraWarra wrote:emerge baselayout --nodeps
This should install it same with makedev and ignore the blocking software.
Then etc-update and hope it sticks / permanent. Mine did not but after being on the night thru it somehow ended up sticking. ??? 12 try's and no luck then 6 hours later + no try and it works LOL ? ghost's.

Then back to emerge -ep world
if all is well continue with update.
Once completed use the
revdep-rebuild
or
revdep-rebuild -X
To get the dependancy's for baselayout / makedev installed , if not already installed by emerge -e world.

Hope this helps , did for me.
Thanks a billion. I had to do that AND comment out the lines in '/usr/portage/profiles/package.mask' To get 'baselayout-2.0.0-rc2-r1' to install. I immediately re commented the lines back to original. So... At any rate 'emerge -e system' is running.

Thanks again.

Posted: Fri Aug 10, 2007 1:52
by wolfden
This is gonna be a big issue for people since it effects so many config files.

you have to unmask
sys-apps/baselayout

Code: Select all

echo "sys-apps/baselayout" >> /etc/portage/package.unmask
than you have to

Code: Select all

emerge baselayout --nodeps
now the fun part is the 30 config files -- there are important ones in there so make sure you check them

Posted: Fri Aug 17, 2007 17:38
by trixon
wolfden wrote:This is gonna be a big issue for people since it effects so many config files.
now the fun part is the 30 config files -- there are important ones in there so make sure you check them
Tried it your way,. Its a big issue for me, tried to to this, but Im not sure about what to check in etc-update.
Ended up with Error: xdm failed to start. Re installed, twice.

What can I do to solve this, or work around? This is my blocker against system update.

barbara etc # emerge -pv baselayout
These are the packages that would be merged, in order:
Calculating dependencies... done!
[ebuild U ] sys-apps/baselayout-1.12.10-r4 [1.12.10-r3] USE="unicode -bootstrap -build -static" 214 kB
[blocks B ] <sys-apps/baselayout-2.0.0_rc (is blocking sys-apps/makedev-3.23.1)

and http://rafb.net/p/7TMdXj71.html

Posted: Fri Aug 17, 2007 18:56
by wolfden
did you try logging in at the prompt as root and than type kdm?

It should still load your desktop. I have to get back to this later today and do some testing.

Posted: Fri Aug 17, 2007 21:24
by trixon
No, I did not, I logged in as root, and startx, got twm or something. Now it's re-installed, so I cant try it again.

in /etc/portage/package.mask I added =sys-apps/baselayout-1.12.10-r4
Then I did emerge -vu --deep system (will do -e when I get it all to work)

and now, if I do this, I'll get that...

Code: Select all

barbara trixon # emerge -pvu --deep system

These are the packages that would be merged, in order:

Calculating system dependencies... done!

Total: 0 packages, Size of downloads: 0 kB
barbara trixon #   

Code: Select all

barbara trixon # emerge -pv baselayout

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] sys-apps/baselayout-1.12.10-r3  USE="unicode -bootstrap -build -static" 214 kB
[blocks B     ] <sys-apps/baselayout-2.0.0_rc (is blocking sys-apps/makedev-3.23.1)

Total: 1 package (1 reinstall, 1 block), Size of downloads: 214 kB
barbara trixon #                       
Is my system ok, but with an old baselayout?

Posted: Sun Aug 19, 2007 6:46
by wolfden
SL doesn't use startx

Re:

Posted: Sat Aug 25, 2007 15:32
by fenius
wolfden wrote:did you try logging in at the prompt as root and than type kdm?

It should still load your desktop. I have to get back to this later today and do some testing.
Nope... I tried and it didn't work for me... I just reinstalled baselayout-1.12.10-r4 (and masked it again) otherwise kdm couldn't start :eye:
there was some error about backends or something and I couldn't solve it (not that i tried for a long time)

Did you guys find another way around this?
I'm curious!!! :alien: